Loading...
Searching...
No Matches
amplifier.h File Reference
Amplifier API

Hamlib amplifier data structures. More...

`#include <hamlib/rig.h>`
`#include <hamlib/amplist.h>`
Include dependency graph for amplifier.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | amp_caps
| Amplifier capabilities. More...
struct | amp_state
| Amplifier state structure. More...
struct | amp
| Master amplifier structure. More...

## Macros

#define | NETAMPCTL_RET "RPRT "
| The token in the netampctl protocol for returning an error condition code.
#define | amp_debug rig_debug
| Convenience macro for generating debugging messages.

## Typedefs

typedef struct amp | AMP
| Main amplifier handle type definition.
typedef float | swr_t
| Type definition for SWR (Standing Wave Ratio).
typedef int | tune_value_t
| Type definition for the transmatch tuning values of capacitance and inductance.

## Enumerations

enum | amp_type_t { AMP_FLAG_1 = (1 << 1) , AMP_FLAG_2 = (1 << 2) }
| Amplifier type flags. More...

## Detailed Description

Hamlib amplifier data structures.

This file contains the data structures and declarations for the Hamlib amplifier Application Programming Interface (API).

See the amplifier.c file for details on the amplifier API functions.